## pydocstyle 1.0.0

=== requirements.txt ===
-r requirements/docs.txt
-r requirements/tests.txt

=== debian/changelog ===
pydocstyle (1.0.0-2) unstable; urgency=medium

  * added deb/source/options (ignore egg-info).
  * deb/rules: skip test_integration completely temporarily (see comment,
    also changed in deb/tests/pydocstyle).
  * dropped fix-tests-py3-environment.patch (not needed anymore).

 -- Daniel Stender <stender@debian.org>  Sun, 06 Mar 2016 12:27:53 +0100

pydocstyle (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #816498).

 -- Daniel Stender <stender@debian.org>  Wed, 02 Mar 2016 21:10:58 +0100

=== debian/control ===
Source: pydocstyle
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-setuptools,
 python3-mock,
 python3-pytest,
 python3-sphinx
Standards-Version: 3.9.7
Homepage: http://pydocstyle.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pydocstyle/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pydocstyle/trunk/
X-Python3-Version: >= 3.3

Package: pydocstyle
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Python docstring style checker (PEP-257 conventions)
 PEP-257 provides conventions for Python docstrings (string literals which
 occur as first statement in a module, function, class or method definition
 for documentation purposes). This tool checks Python code whether
 these conventions have been complied with, and if docstring are missing.
 .
 This is a successor of the application "pep257".

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pydocstyle

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -Wd -m pytest -v -x src/tests/test_d*" dh_auto_test
	# skip test_integration (install_package needs fix, doesn't run with py3, writes into /usr/local etc.)
	# https://github.com/PyCQA/pydocstyle/issues/177

override_dh_installchangelogs:
	dh_installchangelogs docs/release_notes.rst

override_dh_installman:
	PYTHONPATH=./src sphinx-build -D today_fmt="$(DEBDATE)" -N -bman docs .pybuild
	dh_installman .pybuild/pydocstyle.1

override_dh_auto_install:
	dh_auto_install
	rm -f debian/pydocstyle/usr/bin/pep257 # temporary convenience script

=== debian/tests/control ===
Tests: pydocstyle
Depends: python3-all, python3-mock, python3-pytest, python3-setuptools

## pydocstyle 2.0.0

=== requirements.txt ===
-r requirements/docs.txt
-r requirements/tests.txt
-r requirements/test_env.txt
-r requirements/runtime.txt

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pep257.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pep257.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pep257"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pep257"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pydocstyle (2.0.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Jun 2017 21:35:52 +0800

pydocstyle (2.0.0-1~exp3) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Simplify debian/rules.
    Thanks to Ghislain Antony Vaillant.

  [ Ghislain Antony Vaillant ]
  * Normalize the build and DEP-8 tests.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Jun 2017 21:42:43 +0800

pydocstyle (2.0.0-1~exp2) experimental; urgency=medium

  * Add python3-pydocstyle as Python 3 library package (Closes: #864545).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 10 Jun 2017 22:26:24 +0800

pydocstyle (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #846591).
  * Bump compat to 10.
  * Change Uploaders to ChangZhuo Chen (Closes: #863364).
  * Change section to devel.
  * Update Vcs-* fields to use Git as VCS.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 29 May 2017 11:10:14 +0800

pydocstyle (1.0.0-3) unstable; urgency=medium

  * Ship transition tool /usr/bin/pep257:
    + don't strip pep257 from the binary package in deb/rules.
    + add Conflicts and Replaces against pep257 in deb/control.
    + add pep257 to lintian override.
  * deb/control:
    + bumped standards to 3.9.8 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Wed, 29 Jun 2016 09:30:20 +0200

=== debian/control ===
Source: pydocstyle
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-snowballstemmer,
               python3-sphinx,
Standards-Version: 3.9.8
Homepage: http://pydocstyle.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pydocstyle.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pydocstyle.git
X-Python3-Version: >= 3.3

Package: pydocstyle
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pydocstyle (= ${binary:Version}),
Conflicts: pep257
Replaces: pep257
Description: Python docstring style checker (PEP-257 conventions)
 PEP-257 provides conventions for Python docstrings (string literals which
 occur as first statement in a module, function, class or method definition
 for documentation purposes). This tool checks Python code whether
 these conventions have been complied with, and if docstring are missing.
 .
 This is a successor of the application "pep257".
 .
 This package installs the cli tool.

Package: python3-pydocstyle
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Conflicts: pep257
Breaks: pydocstyle (<< 2.0.0-1~exp2)
Replaces: pep257,
          pydocstyle (<< 2.0.0-1~exp2),
Description: Python docstring style checker (Python 3 library)
 PEP-257 provides conventions for Python docstrings (string literals which
 occur as first statement in a module, function, class or method definition
 for documentation purposes). This tool checks Python code whether
 these conventions have been complied with, and if docstring are missing.
 .
 This is a successor of the application "pep257".
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pydocstyle
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin

# skip test_integration (install_package needs fix, doesn't run with py3, writes into /usr/local etc.)
# https://github.com/PyCQA/pydocstyle/issues/177
export PYBUILD_BEFORE_TEST=cp -r src/tests {build_dir}
export PYBUILD_TEST_ARGS=-x tests/test_d*
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	python3 setup.py install_scripts --skip-build \
		--install-dir=debian/$(PYBUILD_NAME)/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs docs/release_notes.rst

override_dh_installman:
	PYTHONPATH=./src sphinx-build -D today_fmt="$(DEBDATE)" -N -bman docs .pybuild
	dh_installman .pybuild/pydocstyle.1

=== debian/watch ===
version=3
opts=filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/pydocstyle-$1.tar.gz/ \
https://github.com/PyCQA/pep257/releases (?:.*/)?(\d[\d\.]+)\.tar\.gz

## pydocstyle 2.1.1

=== debian/changelog ===
pydocstyle (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
    * Use https in Format field in d/copyright.
  * Bump compat to 11.
  * Update Vcs-* to salsa.
  * Remove unused X-Python3-Version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 05 Jun 2018 09:46:22 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3,
                python3-mock,
@@ -11,11 +11,10 @@
                python3-setuptools,
                python3-snowballstemmer,
                python3-sphinx,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://pydocstyle.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pydocstyle.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pydocstyle.git
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/applications/pydocstyle.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/pydocstyle
 
 Package: pydocstyle
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r src/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v -x tests/test_d*
 ; done
Depends: python3-all,
         python3-mock,
         python3-pydocstyle,
         python3-pytest,
         python3-setuptools

## pydocstyle 6.1.1

=== debian/changelog ===
pydocstyle (6.1.1-1) unstable; urgency=medium

  [ Diego M. Rodriguez ]
  * Team upload.
  * d/copyright: do not exclude .gitignore
  * New upstream version 6.1.1 (Closes: #890048, #955149)
  * d/patches: drop issuetracker patch
  * d/control: refresh dependencies
  * d/copyright: refresh copyright
  * d/watch: bump version to 4
  * d/upstream: update metadata info
  * d/: add lintian override for data/*.txt
  * d/tests: update dependencies, add autopkgtest-pkg-python
  * d/control: add Rules-Requires-Root: no
  * d/control: bump Standards-Version to 4.6.0

  [ Jeroen Ploemen ]
  * Tests: remove unused python3-setuptools dep from autopkgtest.

 -- Diego M. Rodriguez <diego@moreda.io>  Mon, 11 Oct 2021 08:26:20 +0000

pydocstyle (2.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + python3-pydocstyle: Drop versioned constraint on pydocstyle in Replaces.
    + python3-pydocstyle: Drop versioned constraint on pydocstyle in Breaks.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 23:14:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: pydocstyle
 Section: devel
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
-               python3-mock,
-               python3-pytest,
+               python3-all:any,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-snowballstemmer,
                python3-sphinx,
-Standards-Version: 4.1.4
-Homepage: http://pydocstyle.readthedocs.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/pydocstyle.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/pydocstyle
+Standards-Version: 4.6.0
+Homepage: https://www.pydocstyle.org/
+Vcs-Git: https://salsa.debian.org/python-team/packages/pydocstyle.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pydocstyle
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: pydocstyle
 Architecture: all
@@ -39,9 +40,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
 Conflicts: pep257
-Breaks: pydocstyle (<< 2.0.0-1~exp2)
 Replaces: pep257,
-          pydocstyle (<< 2.0.0-1~exp2),
+Suggests: python3-toml
 Description: Python docstring style checker (Python 3 library)
  PEP-257 provides conventions for Python docstrings (string literals which
  occur as first statement in a module, function, class or method definition

=== debian/rules ===
--- 
+++ 
@@ -24,5 +24,5 @@
 	dh_installchangelogs docs/release_notes.rst
 
 override_dh_installman:
-	PYTHONPATH=./src sphinx-build -D today_fmt="$(DEBDATE)" -N -bman docs .pybuild
+	PYTHONPATH=./src python3 -m sphinx -D today_fmt="$(DEBDATE)" -N -bman docs .pybuild
 	dh_installman .pybuild/pydocstyle.1

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,5 @@
  ; $py -m pytest -v -x tests/test_d*
  ; done
 Depends: python3-all,
-         python3-mock,
          python3-pydocstyle,
          python3-pytest,
-         python3-setuptools

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/pydocstyle-$1.tar.gz/ \
https://github.com/PyCQA/pep257/releases (?:.*/)?(\d[\d\.]+)\.tar\.gz

## pydocstyle 6.2.3

=== Makefile ===
all: format tests

format:
	isort src/pydocstyle
	black src/pydocstyle

tests:
	tox -e py,install

=== debian/changelog ===
pydocstyle (6.2.3-3) unstable; urgency=medium

  * Team upload
  * Fix wrong version number 0.0.0.dev0 (upstream bug #631)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 16 Feb 2023 15:39:38 +0100

pydocstyle (6.2.3-2) unstable; urgency=medium

  * Team upload
  * Add Breaks: python3-spyder (<< 5.4.2)
  * This new version Closes: #1028425 (should have included this in the
    previous changelog entry!)

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Jan 2023 06:49:23 +0000

pydocstyle (6.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Update d/watch for new upstream URL
  * Run all tests in autopkgtest, including integration tests

 -- Julian Gilbey <jdg@debian.org>  Wed, 11 Jan 2023 21:11:01 +0000

## pydocstyle 6.3.0

=== debian/changelog ===
pydocstyle (6.3.0-3) unstable; urgency=medium

  * Team upload.
  * Round-trip patches through gbp-pq.
  * Patch: Update tests to support snowball 3.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Aug 2025 16:20:28 +0200

pydocstyle (6.3.0-2) unstable; urgency=medium

  * Team upload
  * Remove suggestion of old python3-toml
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 12:43:23 +0200

pydocstyle (6.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch proposal to fix Python 3.12 compatibility.
    Closes: #1056437, #1058420.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Jan 2024 14:07:21 +0100

pydocstyle (6.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.3.0
  * Update version number in patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Jun 2023 17:49:25 +0200

=== debian/control ===
Source: pydocstyle
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-snowballstemmer (>= 2.2.0),
               python3-sphinx
Standards-Version: 4.7.2
Homepage: https://www.pydocstyle.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pydocstyle.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydocstyle
Rules-Requires-Root: no

Package: pydocstyle
Architecture: all
Depends: python3-pydocstyle (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Python docstring style checker (PEP-257 conventions)
 PEP-257 provides conventions for Python docstrings (string literals which
 occur as first statement in a module, function, class or method definition
 for documentation purposes). This tool checks Python code whether
 these conventions have been complied with, and if docstring are missing.
 .
 This package installs the cli tool.

Package: python3-pydocstyle
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Breaks: python3-spyder (<< 5.4.2)
Description: Python docstring style checker (Python 3 library)
 PEP-257 provides conventions for Python docstrings (string literals which
 occur as first statement in a module, function, class or method definition
 for documentation purposes). This tool checks Python code whether
 these conventions have been complied with, and if docstring are missing.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pydocstyle

# skip test_integration at build time
# (cannot install_package from .pybuild directory)
export PYBUILD_TEST_ARGS=--ignore=tests/test_integration.py

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	dh_install --sourcedir=debian/python3-pydocstyle --package=pydocstyle usr/bin/pydocstyle usr/bin
	rm -rf debian/python3-pydocstyle/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs docs/release_notes.rst

override_dh_installman:
	PYTHONPATH=./src python3 -m sphinx -D today_fmt="$(DEBDATE)" -N -bman docs .pybuild
	dh_installman .pybuild/pydocstyle.1

=== debian/tests/control ===
# See https://github.com/PyCQA/pydocstyle/issues/177
Test-Command: set -e
 ; cp -r src/tests "$AUTOPKGTEST_TMP"
 ; sed -i /^pytestmark/d "$AUTOPKGTEST_TMP/tests/test_integration.py"
 ; for py in $(py3versions -s)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends: python3-all,
         python3-pytest,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/pydocstyle-$1.tar.gz/ \
 https://github.com/PyCQA/pydocstyle/tags (?:.*/)?(\d[\d\.]+)\.tar\.gz
